%define gecko_ver 1.9
Name:           gtkmozembedmm
Version:        1.4.2.cvs20060817
Release:        %mkrel 22

Summary:        C++ wrapper for GtkMozembed

Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.gtkmm.org/
Source0:        gtkmozembedmm-1.4.2.cvs20060817.tar.bz2
# script to generate tarball from cvs
Source1:        gtkmozembedmm-cvs.sh
Patch0:        	gtkmozembedmm-1.4.2.cvs20060817-m4.patch
Patch1:        	gtkmozembedmm-1.4.2.cvs20060817-xulrunner.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:  libgtkmm2.4_1-devel
BuildRequires:  libgnome-vfsmm2.6_1-devel
BuildRequires:  libgnomemm2.6_1-devel
BuildRequires:  libgnomeuimm2.6_1-devel
# Use mozilla-devel up to FC5, and gecko-devel for FC6+
BuildRequires:  xulrunner-devel-unstable >= 1.9
BuildRequires:  xulrunner-devel >= %{gecko_ver}
Requires:       gecko-libs >= %{gecko_ver}
BuildRequires:  automake >= 1.10
BuildRequires:  libtool
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Packager: Onkel Ho <hardware@sam-linux.org>


%description
This package provides a C++/gtkmm wrapper for GtkMozEmbed 
from Mozilla 1.4.x to 1.7.x.
The wrapper provides a convenient interface for C++ programmers 
to use the Gtkmozembed HTML-rendering widget inside their software.

%package devel
Summary:        Headers for developing programs that will use gtkmozembedmm
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libgtkmm2.4_1-devel
BuildRequires:  gecko-devel >= %{gecko_ver}


%description devel
This package contains the headers that programmers will need to
develop applications which will use gtkmozembedmm.


%prep
%setup -q -n gtkmozembedmm-%{version}
%patch0 -p1
%patch1 -p1 -b .xl
# dirty workaround to regenerate autotools scripts
# TODO
sed 's/.*maintainer/# &'/ autogen.sh > autogen.tmp
mv autogen.tmp autogen.sh
chmod +x autogen.sh
sh autogen.sh
%ifarch x86_64 ppc64
# correct a path issue that prevent gtkmozembedmm to build on x86_64
%{__sed} -i 's/lib\/glibmm-2.4/lib64\/glibmm-2.4/' configure
%{__sed} -i 's/lib\/glibmm-2.4/lib64\/glibmm-2.4/' configure.ac
%endif

%build
# enable maintainer specific parts in makefiles
# prevent the build to fail
%configure --disable-static   --enable-maintainer-mode "$@"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/*.so
mkdir $RPM_BUILD_ROOT%{_includedir}/gtkmozembedmm-1.4/proc/
mv $RPM_BUILD_ROOT%{_libdir}/gtkmozembedmm-1.4/include/gtkmozembedmmconfig.h \
   $RPM_BUILD_ROOT%{_includedir}/gtkmozembedmm-1.4/gtkmozembedmmconfig.h
mv $RPM_BUILD_ROOT%{_libdir}/gtkmozembedmm-1.4/proc \
   $RPM_BUILD_ROOT%{_includedir}/gtkmozembedmm-1.4/proc/

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog TODO NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%doc
%{_includedir}/gtkmozembedmm-1.4/
%{_libdir}/*.so
%{_libdir}/gtkmozembedmm-1.4/
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Aug 15 2008 Onkel Ho <hardware@sam-linux.org> - 1.4.2.cvs20060817-22
- build against new xulrunner 1.9.0.1-3

* Wed Jul 23 2008 Onkel Ho <hardware@sam-linux.org> - 1.4.2.cvs20060817-21
- test

* Fri Jun 20 2008 Martin Stransky <stransky@redhat.com> - 1.4.2.cvs20060817-20
- rebuild against new gecko-libs 1.9 (xulrunner)

* Sat Apr 12 2008 Haïkel Guémar <karlthered@gmail.com> - 1.4.2.cvs20060817-19
- remove now useless sed one-liner.
- fixed gtkmozembedmm-1.4.2.cvs20060817-xulrunner.patch
- added gtkmozembedmm-1.4.2.cvs20060817-m4.patch

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4.2.cvs20060817-18
- Autorebuild for GCC 4.3

* Thu Nov 27 2007 Martin Stransky <stransky@redhat.com> - 1.4.2.cvs20060817-17
- added gtk_moz_embed_set_path() for gecko-libs 1.9

* Thu Nov 22 2007 Martin Stransky <stransky@redhat.com> - 1.4.2.cvs20060817-16
- rebuild against gecko-libs 1.9 (xulrunner)

* Fri Nov 9 2007 Haïkel Guémar <karlthered@gmail.com> - 1.4.2.cvs20060817-15
- rebuild against gecko-libs 1.8.1.9

* Fri Aug 10 2007 Haïkel Guémar <karlthered@gmail.com> - 1.4.2.cvs20060817-14
- rebuild against gecko-libs 1.8.1.6

* Fri Jul 20 2007 Jesse Keating <jkeating@redhat.com> - 1.4.2.cvs20060817-13
- rebuild against gecko-libs 1.8.1.5
- Extend path arch patch to ppc64 as well

* Wed Mar 28 2007 Haïkel Guémar <karlthered@gmail.com> - 1.4.2.cvs20060817-10
- rebuild against gecko-libs 1.8.1.3

* Thu Mar 14 2007 Haïkel Guémar <karlthered@gmail.com> - 1.4.2.cvs20060817-9
- rebuild against Firefox 2.0.0.2 (gecko 1.8.1.2)

* Sun Jan 21 2007 Haïkel Guémar <karlthered@gmail.com> - 1.4.2.cvs20060817-8
- rebuild against cairomm

* Sat Jan 06 2007 Haïkel Guémar <karlthered@gmail.com> - 1.4.2.cvs20060817-7
- Set up a workaround to build.

* Sun Nov 12 2006 Haïkel Guémar <karlthered@gmail.com> - 1.4.2.cvs20060817-5
- Fixed x86_64 build issue.

* Tue Sep 12 2006 Haïkel Guémar <karlthered@gmail.com> - 1.4.2.cvs20060817-4
- fixed shared lib permission, moved m4 macros into /usr/include, 
added libtool as BR, provides a script to generate cvs snapshot.

* Fri Sep 08 2006 Haïkel Guémar <karlthered@gmail.com> - 1.4.2.cvs20060817-3
- added automake as BR, conditional dependency on firefox-devel for 
FC6+ to build under Mock.

* Thu Aug 17 2006 Haïkel Guémar <karlthered@gmail.com> - 1.4.2.cvs20060817-2
- updated to cvs20060817

* Sat May 20 2006 Haïkel Guémar <karlthered@gmail.com> - 1.4.2-1
- First Packaging from cvs
